org.red5.server.net.remoting.codec

## Class RemotingCodecFactory

- java.lang.Object
- - org.red5.server.net.remoting.codec.RemotingCodecFactory

    public class RemotingCodecFactory
    extends Object

Factory for remoting codec

### Field Summary

Fields
`protected RemotingProtocolDecoder` `decoder` Remoting protocol decoder
`protected Deserializer` `deserializer` Deserializer
`protected RemotingProtocolEncoder` `encoder` Remoting protocol encoder
`protected Serializer` `serializer` Serializers

### Constructor Summary

Constructors
Constructor and Description
`RemotingCodecFactory()`

### Method Summary

Methods
`RemotingProtocolDecoder` `getRemotingDecoder()` Returns the remoting decoder.
`RemotingProtocolEncoder` `getRemotingEncoder()` Returns the remoting encoder.
`void` `init()` Initialization, creates and binds encoder and decoder to serializer and deserializer
`void` `setDeserializer(Deserializer deserializer)` Setter for deserializer.
`void` `setSerializer(Serializer serializer)` Setter for serializer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### deserializer

    protected Deserializer deserializer

Deserializer

#### serializer

    protected Serializer serializer

Serializers

#### decoder

    protected RemotingProtocolDecoder decoder

Remoting protocol decoder

#### encoder

    protected RemotingProtocolEncoder encoder

Remoting protocol encoder

### Constructor Detail

#### RemotingCodecFactory

    public RemotingCodecFactory()

### Method Detail

#### init

    public void init()

Initialization, creates and binds encoder and decoder to serializer and deserializer

#### setDeserializer

    public void setDeserializer(Deserializer deserializer)

Setter for deserializer.

Parameters:
  `deserializer` - Deserializer.

#### setSerializer

    public void setSerializer(Serializer serializer)

Setter for serializer.

Parameters:
  `serializer` - Sserializer.

#### getRemotingDecoder

    public RemotingProtocolDecoder getRemotingDecoder()

Returns the remoting decoder.

Returns:
  decoder

#### getRemotingEncoder

    public RemotingProtocolEncoder getRemotingEncoder()

Returns the remoting encoder.

Returns:
  encoder